/**
 * 
 */
package org.vcs.bazaar.eclipse.core;

import org.junit.Assert;
import org.junit.Test;
import org.vcs.bazaar.client.IBazaarClient;
import org.vcs.bazaar.client.IPlugin;
import org.vcs.bazaar.client.core.BazaarClientException;
import org.vcs.bazaar.eclipse.AbstractCoreTestCase;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public class BundledPluginsTest extends AbstractCoreTestCase {

    @Test
    /**
     * Test that the bundled xmloutput plugin is used.
     */
    public final void checkPluginsPath() throws BazaarException, BazaarClientException {
        IBazaarClient client = this.getClient();
        for(IPlugin plugin: client.plugins()) {
            if(plugin.getName().equals("xmloutput")) {
                Assert.assertTrue(plugin.getPath().contains("org.vcs.bazaar.eclipse.client/plugins"));
            }
        }
    }
    
}
