/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core;

/**
 * <p>
 * contains constant definitions for the tracing options in
 * <code>.options</code>.
 * </p>
 * 
 * @author Guillermo Gonzalez
 */
public interface ITracingOptions {
	String INVENTORY_CACHE = "inventory_cache"; //$NON-NLS-1$
	String INVENTORY_COMMAND = "inventory_command"; //$NON-NLS-1$
	String STATUS_CACHE = "status_cache"; //$NON-NLS-1$
	String STATUS_COMMAND = "status_command"; //$NON-NLS-1$
	String FILE_MODIFICATION_MANAGER = "file_modification_manager"; //$NON-NLS-1$
	String METADIR_CHANGE_LISTENER = "metadir_change_listener"; //$NON-NLS-1$
	String TEAM_PROVIDER = "team_provider"; //$NON-NLS-1$
	String MOVE_DELETE_HOOK = "move_delete_hook"; //$NON-NLS-1$
	String LOG_CACHE = "log_cache"; //$NON-NLS-1$
	
}

