/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.commands;

import org.eclipse.core.resources.IWorkspaceRunnable;
import org.eclipse.core.runtime.IProgressMonitor;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez
 * 
 */
public interface IBazaarCommand extends IWorkspaceRunnable {

	/**
	 * execute the command
	 * 
	 * @param monitor
	 */
	public abstract void run(IProgressMonitor monitor) throws BazaarException;
}
