package org.vcs.bazaar.eclipse.core.log;

import java.util.List;

import org.vcs.bazaar.client.IBazaarLogMessage;

public interface ILogCache {
		
	List<IBazaarLogMessage> get(Object resource);

	IBazaarLogMessage getLast(Object resource);
	
	void remove(Object resource);
	
	List<IBazaarLogMessage> add(Object resource, List<IBazaarLogMessage> log);

	void purgeCache(Object root);
}
