/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.model.local;

import java.util.List;

import org.vcs.bazaar.eclipse.core.model.IBzrBranch;
import org.vcs.bazaar.eclipse.core.model.IBzrMissingRevisions;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez
 *
 */
public interface IBzrLocalBranch extends IBzrBranch {
	
	List<IBzrBranch> getPushLocations() throws BazaarException;
	
	List<IBzrBranch> getPullLocations() throws BazaarException;
	
	IBzrMissingRevisions getMissing(IBzrBranch otherBranch) throws BazaarException;
	
	IBzrBranch getPushBranch();
	
}
