/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.model.remote;

import org.eclipse.core.runtime.CoreException;

/**
 * 
 * @author Guillermo Gonzalez
 */
public interface IBzrRemoteFolder extends IBzrRemoteResource {

	/**
	 * 
	 * @return IBzrRemoteFile[] the files contained in this folder.
	 * @throws CoreException
	 */
	IBzrRemoteFile[] getFiles() throws CoreException;

	/**
	 * 
	 * @return IBzrRemoteFolder[] the folders contained in this folder.
	 * @throws CoreException
	 */
	IBzrRemoteFolder[] getSubFolders() throws CoreException;

}
