/**
 * 
 */
package org.vcs.bazaar.eclipse.internal.core.model.local;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IResource;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;
import org.vcs.bazaar.eclipse.core.model.local.IBzrLocalFile;

/**
 * @author Guillermo Gonzalez <guillo.gonzo AT gmail DOT com>
 *
 */
public class BzrLocalFile extends BzrLocalResource implements IBzrLocalFile {

	public BzrLocalFile(final IResource resource, final IBzrBranch branch) {
		super(resource, branch);
	}

	public boolean isFolder() {
		return false;
	}

	public IFile getIFile() {
		if(getIResource().getType() == IResource.FILE) {
			return (IFile)getIResource();
		}
		return null;
	}
}
