/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.ui;

import java.util.ResourceBundle;

import org.eclipse.osgi.util.NLS;

/**
 * 
 * @author Guillermo Gonzalez
 * 
 * TODO: Complete with literals across the code
 */
public class UITexts extends NLS {

	private static final String BUNDLE_NAME = UITexts.class.getPackage().getName() + ".uitexts"; //$NON-NLS-1$

	public static String CommitDialog_checkboxAll;
	public static String CommitDialog_checkboxUntracked;
	public static String CommitDialog_pushAfterCommit;
	public static String CommitDialog_localCommit;	
	public static String CommitDialog_columnError;
	public static String CommitDialog_commentsTitle;
	public static String CommitDialog_defaultCommitMessage;
	public static String CommitDialog_dialogTitle;
	public static String CommitDialog_fileNameHeader;
	public static String CommitDialog_fileStatusHeader;
	public static String CommitDialog_filesTitle;
	public static String CommitDialog_statusAdded;
	public static String CommitDialog_statusDeleted;
	public static String CommitDialog_statusError;
	public static String CommitDialog_statusModified;
	public static String CommitDialog_statusRemoved;
	public static String CommitDialog_statusRenamed;
	public static String CommitDialog_statusUntracked;

	// Actions
	public static String BzrAction_errorTitle;
	public static String SwitchAction_force_tooltip;
	
	//Jobs:
	public static String QuickDiffProvider_fetchingContents;
	
	//General Bazaar Preferences
	public static String BazaarPreferencesPage_description;
	public static String BazaarPreferencesPage_executable;
	public static String BazaarPreferencesPage_userid;
    public static String BazaarPreferencesPage_enable_bundled_plugins;
	public static String BazaarPreferencesPage_plugins_dir;
	public static String BazaarPreferencesPage_plugins_dir_chooser;
	public static String BazaarPreferencesPage_xmlrpc_port;
    public static String BazaarPreferencesPage_client_type;
    public static String BazaarPreferencesPage_check_client;
	
	// Console preferences
	public static String BazaarConsole_name;
	public static String BazaarConsole_removeAction_label;
	public static String BazaarConsole_removeAction_tooltip;
	public static String BazaarConsole_preferences_consoleColorSettings;
	public static String BazaarConsole_delimiter;
	public static String BazaarConsole_preferences_highWaterMark;
	public static String BazaarConsole_preferences_showOnMessage;
	public static String BazaarConsole_preferences_showOnError;
	public static String BazaarConsole_preferences_showOnDebug;
	public static String BazaarConsole_preferences_limitOutput;
	public static String BazaarConsole_preferences_commandColor;
	public static String BazaarConsole_preferences_messageColor;
	public static String BazaarConsole_preferences_errorColor;

	// Decorator preferences
	public static String BazaarDecoratorPreferencesPage_description;
	public static String BazaarDecoratorPreferencesPage_enable_project_text_decorator;
	public static String BazaarDecoratorPreferencesPage_enable_file_text_decorator;
	public static String BazaarDecoratorPreferencesPage_enable_status_text_decorator;
	public static String BazaarDecoratorPreferencesPage_enable_status_overlay_decorator;
	
	// Performance preferences
	public static String BazaarPerformancePreferencesPage_description;
	public static String BazaarPerformancePreferencesPage_deep_decoration;
	public static String BazaarPerformancePreferencesPage_log_limit;
	public static String BazaarPerformancePreferencesPage_check_action_availability;
	
	// Marker preferences
	public static String BazaarMarkersPreferencesPage_description;
	public static String BazaarMarkersPreferencesPage_not_versioned_marker;
	
	// Annotate View
	public static String BazaarAnnotateView_showFileAnnotation;
	public static String BazaarAnnotateView_viewInstructions; 
	public static String AnnotateBlock_lines;
	public static String AnnotateBlock_line;
	public static String AnnotateBlock_userRevision;
	public static String nameAndRevision;
	
	// Send Dialog
	public static String BazaarSendDialogTitle;
	public static String BazaarSendDialogMessage;
	public static String BazaarSendDialogBrowse;
	
	// Wizards
	public static String ImportWizard_wizardTitle;
	public static String ConfigurationWizard_wizardTitle;
	public static String ConfigurationWizard_wizard_page_title;
	public static String ConfigurationWizard_version_control_new_project;
	public static String ConfigurationWizard_version_control_existing_project;
	public static String ConfigurationWizard_label_select_dir;
	public static String ConfigurationWizard_button_change_dir;
	public static String ConfigurationWizard_button_use_project_root;
	public static String ConfigurationWizard_button_use_existing_bzr_dir;
	public static String ConfigurationWizard_button_select_bzr_root;
	public static String ConfigurationWizard_button_select_bzr_root_msg;
	
	public static String Branch_Wizard_title;
	public static String Branch_Wizard_page_branch_location_label;
	public static String Branch_Wizard_page_branch_location_browse_button;
	public static String Branch_Wizard_page_branch_location_dialog_message;
	public static String Branch_Wizard_page_branch_location_error_location_notspecified;
	public static String Branch_Wizard_page_branch_location_error_location_invalid;
	public static String Branch_Wizard_page_description;
	
	public static String Branch_Wizard_page_description_select_source_branch;
	public static String Branch_Wizard_page_init_new_branch;
	public static String Branch_Wizard_page_use_existing_branch;
	public static String Branch_Wizard_page_error_invalid_source_branch;
	
	public static String BranchWizardProjectPage_wizard;	
	public static String BranchWizardProjectPage_projects;
	public static String BranchWizardProjectPage_revision;
	
	public static String SelectRevision_tip;
	public static String SelectRevision_revision;
	public static String SelectRevision_showLog;

	public static String DisconnectConfirmDialog_title;
	public static String DisconnectConfirmDialog_body;
	
	public static String CheckoutWizardProjectPage_lightweight;
	
	public static String IgnoredDialog_label;
	public static String IgnoredDialog_ignoredfile;
	public static String IgnoredDialog_match;

	public static String SendDialog_EnterLocation;
	public static String SendDialog_SendEmail;
	public static String SendDialog_SendEmailTooltip;
	public static String SendDialog_SaveLocation;
	public static String SendDialog_SaveLocationTooltip;
	public static String SendDialog_WrongEmail;
	public static String SendDialog_NoBundle;
	public static String SendDialog_NoBundleTooltip;
	public static String SendDialog_NoPatch;
	public static String SendDialog_NoPatchTooltip;
	public static String SendDialog_Format;

	
	//Error messages:
	public static String error_QuickDiffProvider_readingFile;
	public static String error_QuickDiffProvider_closingFile;
	
	//UpdateInfoDialog
	public static String update_message; 
	public static String bzr_eclipse_home_link;
	
	// Other Constants
	public static String Dependency_Version;

	static {
		// load message values from bundle file
		NLS.initializeMessages(BUNDLE_NAME, UITexts.class);
	}

	private static final ResourceBundle bundle = ResourceBundle.getBundle(BUNDLE_NAME);

	/**
	 * Gets a string from the resource bundle. Return the key if not found.
	 */
	public static String bind(String key) {
		try {
			return bundle.getString(key);
		} catch (Exception e) {
			return key;
		}
	}
	
	public static String bind(String message, Object[] bindings) {
		return NLS.bind(bind(message), bindings);
	}
}
