/**
 * LICENCSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.ui.actions;

import org.eclipse.core.resources.IProject;
import org.eclipse.jface.action.IAction;
import org.vcs.bazaar.eclipse.BzrWorkspaceRoot;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;
import org.vcs.bazaar.eclipse.ui.wizards.project.BranchFromProjectWizard;

/**
 * @author Guillermo Gonzalez
 * 
 * TODO Implement me TODO: split into Operation and Action
 */
public class BranchAction extends WorkbenchAction {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
	 */
	public void execute(IAction action) {
		IProject[] projects = getSelectedProjects();
		if(projects != null && projects.length == 1) {
			IProject project = projects[0];
			IBzrBranch branch = BzrWorkspaceRoot.getBzrWorkspaceRootFor(project).getBranch();
			BranchFromProjectWizard.open(getShell(), branch);
		}
	}
	
	@Override
	protected boolean isEnabledForMultipleResources() {
		return false;
	}

}
