// Copyright (c) 2004-2006 by Leif Frenzel - see http://leiffrenzel.de
package org.vcs.bazaar.eclipse.core.listeners;

import org.vcs.bazaar.eclipse.core.model.IBzrBranch;

/**
 * <p>
 * implementors can register with the BranchLocationManager to be notified when
 * repository locations are added or removed.
 * </p>
 * 
 * @author Leif Frenzel
 * @modifiedBy Guillermo Gonzalez
 */
public interface IRepositoryLocationListener {

	void locationAdded(IBzrBranch location);

	void locationRemoved(IBzrBranch location);
}
