/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.model;

import java.util.Set;

/**
 * Represents the current status of the branch.
 * 
 * @author Guillermo Gonzalez
 * 
 */
public interface IBranchStatus extends IBzrObject {

	public Set getModified();

	public Set getAdded();

	public Set getRemoved();

	public Set getUnknown();

	public Set getRenamed();

	public String getStatusFor(IBzrResource resource);
}
