/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.model;

import org.eclipse.core.runtime.CoreException;

/**
 * 
 * @author Guillermo Gonzalez <guillo.gonzo AT gmail DOT com>
 */
public interface IBzrFolder extends IBzrResource {

	/**
	 * 
	 * @return IBzrLocalFile[] the files contained in this folder.
	 * @throws CoreException
	 */
	IBzrFile[] getFiles() throws CoreException;

	/**
	 * 
	 * @return IBzrLocalFolder[] the folders contained in this folder.
	 * @throws CoreException
	 */
	IBzrFolder[] getSubFolders() throws CoreException;

}
