/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.model;

import org.eclipse.core.runtime.IAdaptable;

/**
 * Base Interface for all BzrObject's.
 * 
 * @author Guillermo Gonzalez
 */
public interface IBzrObject extends IAdaptable {

	/**
	 * <p>
	 * returns the repository/branch to which this resource belongs.
	 * </p>
	 */
	public IBzrBranch getBranch();
}
