/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.internal.core.model;

import org.eclipse.core.runtime.PlatformObject;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;
import org.vcs.bazaar.eclipse.core.model.IBzrObject;

/**
 * @author Guillermo Gonzalez
 * 
 */
public abstract class BzrObject extends PlatformObject implements IBzrObject {

	protected BzrObject() {
		super();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.vcs.bazaar.eclipse.core.model.IBzrObject#getRepositoryLocation()
	 */
	public abstract IBzrBranch getBranch();
	
}
