/**
 * 
 */
package org.vcs.bazaar.eclipse.internal.core.model;

import java.net.URI;

import org.vcs.bazaar.client.core.BranchLocation;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;


/**
 * @author guillermo
 *
 */
public class LpBranch extends RemoteBranch {

	public LpBranch(String location) {
		super(new BranchLocation(location));
	}

	private static final long serialVersionUID = -4564094630510322603L;
	
	@Override
	public URI getLocation() {
		throw BazaarException.makeUnChecked(new BazaarException("Launchpad locations can't be represented as an java.net.URI object"));
	}

}
