/**
 * 
 */
package org.vcs.bazaar.eclipse.ui.dialogs;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;
import org.vcs.bazaar.client.BazaarStatusKind;
import org.vcs.bazaar.eclipse.core.model.IBzrResourceStatus;

public class UntrackedFilesFilter extends ViewerFilter {

	public UntrackedFilesFilter() {
		super();
	}

	/**
	 * Filter out untracked files.
	 */
	public boolean select(Viewer viewer, Object parentElement, Object element) {
		if (element instanceof IBzrResourceStatus) {
			return !((IBzrResourceStatus) element).contains(BazaarStatusKind.UNKNOWN);
		}
		return true;
	}
}